Page MenuHomePhabricator

Do not override wgEchoDefaultNotificationTypes['emailuser'] on wmf wikis
Closed, ResolvedPublic

Description

With change https://gerrit.wikimedia.org/r/#/c/239582/ T56130 I added a new key 'emailuser' to $wgEchoDefaultNotificationTypes, because in my opinion getting an email notification about the fact, that a user sends you a email seems useless.

It is possible to avoid the override on wmf wikis for $wgEchoDefaultNotificationTypes['emailuser']? Thanks

Event Timeline

Umherirrender raised the priority of this task from to High.
Umherirrender updated the task description. (Show Details)
Umherirrender added subscribers: Umherirrender, Catrope.
Restricted Application added subscribers: Dereckson, Matanya, Aklapper. · View Herald TranscriptSep 22 2015, 4:15 PM
Umherirrender set Security to None.

Looks like we're also making welcome notifications send an email with this override... But yes, I think we need to deal with the emailuser part before 1.26wmf24 hits non-test sites tomorrow.

Change 240259 had a related patch set uploaded (by Alex Monk):
Copy default $wgEchoDefaultNotificationTypes['emailuser'] into wmf-config

https://gerrit.wikimedia.org/r/240259

Change 240259 merged by Alex Monk:
Copy default $wgEchoDefaultNotificationTypes['emailuser'] into wmf-config

https://gerrit.wikimedia.org/r/240259

This is sort of done but I'd like to hear what @Catrope has to say about the welcome config before closing.

Krenair assigned this task to Catrope.Sep 23 2015, 10:28 PM

Sorry for the late response.

Not sending an email for welcome notifs seems fine. I'll write a config patch for that after running it by @Jdforrester-WMF.

Change 245578 had a related patch set uploaded (by Catrope):
Remove override of $wgEchoDefaultNotificationTypes

https://gerrit.wikimedia.org/r/245578

(Yeah, this is fine.)

Change 245578 merged by jenkins-bot:
Remove override of $wgEchoDefaultNotificationTypes

https://gerrit.wikimedia.org/r/245578

Krenair closed this task as Resolved.Oct 12 2015, 11:52 PM